apiVersion: v1
baseDomain: qe.lab.redhat.com
networking:
  networkType: OVNKubernetes
  machineCIDR: 192.168.123.0/24
metadata:
  name: ocp-edge-cluster-0
compute:
- name: worker
  replicas: 2
controlPlane:
  name: master
  replicas: 3
  platform:
    baremetal: {}
platform:
  baremetal:
    provisioningDHCPExternal: false
    externalBridge: baremetal-0 
    provisioningBridge: provisioning-0 
    libvirtURI: qemu+ssh://root@hypervisor.ocp-edge-cluster-0.qe.lab.redhat.com/system
    provisioningNetworkInterface: enp4s0
    provisioningNetworkCIDR: 172.22.0.0/24
    bootstrapOSImage: http://registry.ocp-edge-cluster-0.qe.lab.redhat.com:8080/images/rhcos-46.82.202008181646-0-qemu.x86_64.qcow2.gz?sha256=11b8410e74539778ea556bb80de1903414d019da4d5ac4c1ae8ac9371a07e50b
    clusterOSImage: http://registry.ocp-edge-cluster-0.qe.lab.redhat.com:8080/images/rhcos-46.82.202008181646-0-openstack.x86_64.qcow2.gz?sha256=ce56e6de236d9bfb8beb519c3b80681f8077f31db2c64f2fbffd3e097855dde4
    apiVIP: 192.168.123.5
    dnsVIP: 192.168.123.6
    ingressVIP: 192.168.123.10
    hosts:
      - name: openshift-master-0-0
        role: master
        bmc:
          address: redfish://192.168.123.1:8000/redfish/v1/Systems/ebb090dd-e53e-46ed-be7f-32e07739dcd6
          disableCertificateVerification: True
          username: admin
          password: password
        bootMACAddress: 52:54:00:bb:2b:56
        hardwareProfile: default
        rootDeviceHints:
          deviceName: /dev/sdb
      - name: openshift-master-0-1
        role: master
        bmc:
          address: redfish://192.168.123.1:8000/redfish/v1/Systems/16b32cac-1971-4929-9d42-d7ec86f8ebbe
          disableCertificateVerification: True
          username: admin
          password: password
        bootMACAddress: 52:54:00:15:e1:e1
        hardwareProfile: default
        rootDeviceHints:
          deviceName: /dev/sdb
      - name: openshift-master-0-2
        role: master
        bmc:
          address: redfish://192.168.123.1:8000/redfish/v1/Systems/7bfaef45-7bc6-4f58-b20e-76cf009b4130
          disableCertificateVerification: True
          username: admin
          password: password
        bootMACAddress: 52:54:00:89:cc:ba
        hardwareProfile: default
        rootDeviceHints:
          deviceName: /dev/sdb
      - name: openshift-worker-0-0
        role: worker
        bmc:
          address: redfish://192.168.123.1:8000/redfish/v1/Systems/67376cd5-16b7-47e0-a09a-5db5d16efc5d
          disableCertificateVerification: True
          username: admin
          password: password
        bootMACAddress: 52:54:00:e6:d9:66
        hardwareProfile: unknown
        rootDeviceHints:
          deviceName: /dev/sdb
      - name: openshift-worker-0-1
        role: worker
        bmc:
          address: redfish://192.168.123.1:8000/redfish/v1/Systems/ce879a27-a6a2-4b51-bc63-4d909cd7c4ce
          disableCertificateVerification: True
          username: admin
          password: password
        bootMACAddress: 52:54:00:99:66:32
        hardwareProfile: unknown
        rootDeviceHints:
          deviceName: /dev/sdb
additionalTrustBundle: |
  -----BEGIN CERTIFICATE-----
  MIID9DCCAtygAwIBAgIUOAr3scqVgsuHKSPBhyWHplLG2eQwDQYJKoZIhvcNAQEL
  BQAwfzELMAkGA1UEBhMCVVMxCzAJBgNVBAgMAk5DMRAwDgYDVQQHDAdSYWxlaWdo
  MRUwEwYDVQQKDAxUZXN0IENvbXBhbnkxEDAOBgNVBAsMB1Rlc3RpbmcxKDAmBgNV
  BAMMH3RpdGFuNTgubGFiLmVuZy50bHYyLnJlZGhhdC5jb20wHhcNMjAwODIzMDkz
  MjQ5WhcNMjEwODIzMDkzMjQ5WjB/MQswCQYDVQQGEwJVUzELMAkGA1UECAwCTkMx
  EDAOBgNVBAcMB1JhbGVpZ2gxFTATBgNVBAoMDFRlc3QgQ29tcGFueTEQMA4GA1UE
  CwwHVGVzdGluZzEoMCYGA1UEAwwfdGl0YW41OC5sYWIuZW5nLnRsdjIucmVkaGF0
  LmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJeiuzGhewbq5R1M
  VUtf+0b+ZOoXKsIoeKGUF9dpcFaxoxhMowa1WlP1r/NjAfxGKE0p0wjAI/TvlrXv
  82n7oLJnN3YRJsXfJVUTd5DaUXF38yWEevXvsxKoqKPSw0s7xr97R9uLJ8vMzEkb
  KAqZOegCVNE6ThHx8kDBahuvKIw2LEodrhhO4hJwvjE5tovG0xfFeU07cVJF6gYP
  oUYA5p0TjAZJNZOjwJ7XKQLYfk0Zn5ew3vWT4gXm+wpCwOf+Whl9VSbvNlNbIEyc
  inBgWGl6+J2eydhmur1pfIdbDEgKAiG33uPK861r+q5cFe9WSpaQ68y+xRHMDLIx
  6cTKnXsCAwEAAaNoMGYwDwYDVR0TBAgwBgEB/wIBADBTBgNVHREETDBKgi1yZWdp
  c3RyeS5vY3AtZWRnZS1jbHVzdGVyLTAucWUubGFiLnJlZGhhdC5jb22CB3RpdGFu
  NTiHBMCoegGHBMCoewGHBAouBEowDQYJKoZIhvcNAQELBQADggEBAHo0TDHm6C2m
  kuJFURYklb/a9EFb3RscV7RWKC7ef8UocxzW6qyucCNBAu9nABc3WWLL+El035d1
  /SEMP/agW2FmPcdatOiu/BJQigW0yhPJFrkDxpT88gE/8LvL0yfAwWWKz8lDLpDr
  MK8zmu3r82WE/Z0PinPCGEmg/6SSQeWc8UL+QC0xVDQGOwhikux0u8QMym4hrzXm
  n8fxnyUtCV5j3JAQoQg42ZbRdhW8UOuUh+kVz5BJTY2zLqvNipzaMsjQKD6SibvW
  Sq12e5HKOmSNDMGX1pAOrsWKj7cI0t+ftapR/OyvTsQchy9Ed15hgUnToX7Iaj73
  Kd79MT9MsJY=
  -----END CERTIFICATE-----
pullSecret: |
  { "auths": { "registry.ocp-edge-cluster-0.qe.lab.redhat.com:5000": { "auth": "b2NwLWVkZ2U6b2NwLWVkZ2UtcGFzcw==" } }}
fips: false
sshKey: |
  ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDCgqOJKJXS0t+jqtAMraOxbekudb/RlnIgItcAWR2XyzYZTIaQg0WpEmHaSl3+HVDxXWljEdmZ0e91kyD9mYifZuWNUNMhsjqrNBLsUjLJznse/VxoKZ00Pau8WggGo7Y3uDrkSsbd9VYxoZgb6iGfdpFQ5wYZL5kGqnW6gwtELhqQWZS5/ODzt65Co9yMRZiq4H0N8F5plKBRd7q8D+UcTuIsbuIF6TNYnXxORGueU6KIetH7hjFPT8pZqG7XO0d7ReHCIewiBFjWMPWaDYfWsmAg/lw0h6EEaIwDB0kWHn/ugJQLLPu02mVhQQJXH2WEfPi4KWWO9GBx0Fb2JL3OP7JLQaxVPEqzHtsTyF3q7bLSRQVLxPxdPqKw+0hxTvODl1nPhoqp4MBvsHizgMiy5/R/FYUKOTUfXkvX0HtEDt35X9GYNWtgM4F1qodx/gVSsIts6JuaN3Nqgw69EciTWPo1zQTba8yLp2xIo/K/U3bxDqhgBginPEJuEYKtjMc= kni@provisionhost-0-0.ocp-edge-cluster-0.qe.lab.redhat.com
imageContentSources:
- mirrors:
  - registry.ocp-edge-cluster-0.qe.lab.redhat.com:5000/localimages/local-release-image
  source: quay.io/openshift-release-dev/ocp-v4.0-art-dev
- mirrors:
  - registry.ocp-edge-cluster-0.qe.lab.redhat.com:5000/localimages/local-release-image
  source: registry.svc.ci.openshift.org/ocp/release
